main {
  min-width: 320px;
  /* max-width: 400px; */
  max-width: calc(1200rem / 50);
  margin: 0 auto;
}

.app-bar {
  display: flex;
  align-items: center;
}

.app-bar .close-button {
  display: inline-flex;
  margin-left: auto;
}

hr.line {
  display: block;
  width: 100%;
  height: 0.06rem;
  padding: 0;
  margin: 0;
  background: #aaaaaa66;
  border: none;
}

.display-none {
  display: none !important;
}

.tag {
  display: inline-flex;
  align-items: center;
  border: calc(3rem / 50) solid var(--color-blue);
  border-radius: calc(100rem / 50);
  padding: calc(15rem / 50) calc(40rem / 50);
}

.detail-labels {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.detail-labels .icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 0);
  display: inline-flex;
  width: calc(50.02rem / 50);
  height: calc(50.02rem / 50);
}

.detail-labels .label {
  padding-top: 0.8rem;
  padding-bottom: 0.6rem;
  background-color: var(--color-gray-dddddd-11);
  border-top: calc(2rem / 50) solid var(--color-gray-888888-60);
  border-bottom: calc(2rem / 50) solid var(--color-gray-888888-60);
  text-align: center;
}

.detail-labels .amount {
  padding-top: 1.05rem;
  padding-bottom: 0.8rem;
  text-align: center;
}

.detail {
  display: grid;
  /* grid-template-columns: 1fr 1fr; */
  gap: calc(50rem / 50);
  grid-template-columns: repeat(auto-fill, calc(50% - 25rem / 50));
}

.detail-title {
  white-space: nowrap;
}

.detail-value {
  white-space: nowrap;
}

#pay-table {
  width: 100%;
}

#pay-table thead {
  text-align: center;
}

#pay-table th:first-of-type {
  width: 50%;
}

#pay-table th:nth-of-type(2) {
  width: 50%;
}

#pay-table td:first-of-type {
  width: 50%;
}

#pay-table td:nth-of-type(2) {
  width: 50%;
}

/* #pay-table thead {
} */

#pay-table thead tr th {
  background-color: var(--color-gray-dddddd-11);
  padding-top: calc(30rem / 50);
  padding-bottom: calc(30rem / 50);
}

#pay-table thead tr:first-of-type th {
  border-top: calc(2rem / 50) solid var(--color-gray-aaaaaa-40);
}

#pay-table tbody tr td {
  padding-top: calc(55rem / 50);
  padding-bottom: calc(55rem / 50);
}

#pay-table tbody tr:first-of-type td {
  border-top: calc(2rem / 50) solid var(--color-gray-aaaaaa-40);
}

#pay-table tbody tr:last-of-type td {
  border-bottom: calc(2rem / 50) solid var(--color-gray-aaaaaa-40);
}

#pay-table tfoot {
  /* background-color: var(--color-gray-dddddd-11); */
  background-color: var(--color-green-10);
}

#pay-table tfoot tr:last-of-type td {
  border-bottom: calc(2rem / 50) solid var(--color-gray-aaaaaa-40);
}

#pay-table tbody tr td:first-of-type {
  text-align: center;
}

#pay-table tbody tr td:last-of-type {
  text-align: right;
  padding-right: calc(97rem / 50);
}

#pay-table tfoot tr td {
  padding-top: calc(41rem / 50);
  padding-bottom: calc(49rem / 50);
}

#pay-table tfoot tr td:first-of-type {
  text-align: center;
}

#pay-table tfoot tr td:last-of-type {
  text-align: right;
  padding-right: calc(97rem / 50);
}

.pay-select .gaspay-tag {
  border-radius: calc(100rem / 50);
  padding: calc(13rem / 50) calc(30rem / 50) calc(12rem / 50);
  background-color: var(--color-green);
  color: var(--color-white);
  margin-right: calc(20rem / 50);
  line-height: calc(45.5rem / 50);
  font-size: calc(40rem / 50);
}

.pay-select input[type="radio"] {
  margin-top: 0;
}

.pay-select input[type="radio"] {
  /* position: relative; */
  vertical-align: middle;
  appearance: none;
  border: max(calc(2rem / 50), 0.1em) solid var(--color-gray-aaaaaa-45);
  border-radius: 50%;
  width: calc(66rem / 50);
  height: calc(66rem / 50);
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.pay-select input[type="radio"]:checked {
  vertical-align: middle;
  appearance: none;
  border: max(calc(2rem / 50), 0.1em) solid var(--color-gray-aaaaaa-45);
  border-radius: 50%;
  width: calc(66rem / 50);
  height: calc(66rem / 50);
}

.pay-select input[type="radio"]:checked::before {
  content: "";
  width: calc(36rem / 50);
  height: calc(36rem / 50);
  border: none;
  border-radius: calc(100rem / 50);
  background-color: var(--color-blue);
}

.pay-select label {
  margin-left: calc(20rem / 50);
  display: flex;
  align-items: center;
}

.input-item {
  display: flex;
  align-items: center;
}

/* .gaspay-select > div:first-of-type {
  display: flex;
}

.gaspay-select > div > div {
  flex: 1;
  position: relative;
} */

.gaspay-select input {
  padding: calc(45rem / 50) 0 calc(45rem / 50);
}

.gaspay-select input[type="radio"] {
  width: 100%;
  height: calc(160rem / 50);
  position: relative;
  appearance: none;
  border: calc(1rem / 50) solid var(--color-gray-aaaaaa-45);
  border-radius: unset;
  background-color: var(--color-white);
  color: var(--color-black);
}

.gaspay-select input[type="radio"] ~ * {
  color: var(--color-black);
}

.gaspay-select input[type="radio"]:checked {
  width: 100%;
  height: calc(160rem / 50);
  position: relative;
  appearance: none;
  border: calc(1rem / 50) solid var(--color-gray-aaaaaa-45);
  border-radius: unset;
  background-color: var(--color-black);
}
.gaspay-select input[type="radio"]:checked ~ * {
  color: var(--color-white);
}

.gaspay-select input[type="radio"]:checked::before {
  content: unset;
}

.gaspay-select label {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-left: unset;
}

.select-box {
  display: flex;
  padding: calc(45rem / 50) calc(50rem / 50);
  color: var(--color-gray-888888-60);
  background-color: var(--color-gray-dddddd-11);
  border: calc(1rem / 50) solid var(--color-gray-aaaaaa-45);
  border-radius: calc(20rem / 50);
  border-color: var(--color-gray-aaaaaa-20);
}

.select-box input {
  visibility: hidden;
  width: 0;
  height: 0;
}

.select-box .icon {
  margin-left: auto;
  display: inline-flex;
  width: calc(34rem / 50);
  height: calc(20rem / 50);
}

.modal {
  opacity: 1;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.7);
  transition: all 200ms ease-in-out;
  z-index: 20;
}

.modal .bottom-sheet-content {
  padding: calc(65rem / 50) calc(80rem / 50);
  border-top-left-radius: calc(80rem / 50) !important;
  border-top-right-radius: calc(80rem / 50) !important;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
  background: var(--color-white);
  width: 100% !important;
  height: auto !important;
  position: absolute !important;
  left: 0px !important;
  top: auto !important;
  bottom: 0;
  -webkit-transform: translate(0, 0) !important;
  transform: translate(0, 0) !important;
  z-index: 999;
  margin-bottom: -1px;
  -webkit-animation: slideIn 0.3s ease-in-out;
  animation: slideIn 0.3s ease-in-out;
}

@keyframes slideIn {
  from {
    bottom: -50vh;
    opacity: 0;
  }

  to {
    bottom: 0 !important;
    opacity: 1;
  }
}

.modal .bottom-sheet-header {
  padding-bottom: calc(35rem / 50);
}

.modal .middle-popup {
  position: absolute;
  width: 90%;
  box-sizing: border-box;
  -webkit-overflow-scrolling: touch;
  border-radius: calc(50rem / 50);
  outline: none;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.modal .middle-popup-header {
  background: var(--color-white);
  overflow: hidden;
  padding: calc(80rem / 50);
  border-radius: calc(50rem / 50) calc(50rem / 50) 0 0;
}

.modal .middle-popup-buttons {
  width: 100%;
  overflow: hidden;
  border-radius: 0 0 calc(50rem / 50) calc(50rem / 50);
  display: flex;
}

.modal .middle-popup-button {
  /* display: table-cell; */
  width: 100%;
  height: calc(180rem / 50);
  text-align: center;
  color: #fff;
  /* @include font(bold, 56); */

  /* &:disabled {
    background: #ececec !important;
    color: #bbb !important;
    cursor: inherit;
  }
  */
}

.notice-title {
  display: flex;
  align-items: center;
}

.notice-title span {
  display: inline-flex;
}

.notice-title span:first-of-type {
  padding-right: calc(20rem / 50);
}

.notice-item {
  position: relative;
}

.notice-item::before {
  content: "";
  position: absolute;
  top: calc(26rem / 50);
  left: calc(-25rem / 50);
  width: calc(10rem / 50);
  height: calc(10rem / 50);
  background-color: var(--color-gray-888888-60);
}

.pay-notice-item {
  display: flex;
}

.pay-notice-item span:first-of-type {
  display: inline-flex;
  align-items: center;
  width: calc(48rem / 50);
  height: calc(62rem / 50);
  padding-right: calc(15rem / 50);
}

.pay-notice-item span svg {
  width: calc(48rem / 50);
  height: calc(48rem / 50);
}

.share-buttons {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.share-button:first-of-type {
  justify-self: flex-start;
}

.share-button:nth-of-type(2) {
  justify-self: center;
}

.share-button {
  width: calc(212rem / 50);
  height: calc(290rem / 50);
}

.share-button img {
  width: 100%;
  height: 100%;
}

.statement-wrapper {
  position: relative;
  background-color: var(--color-white);
  border-radius: calc(40rem / 50) calc(40rem / 50) 0 0;
  box-shadow: 0 calc(10rem / 50) calc(10rem / 50) 0 #0000001a;
}

.statement-wrapper::after {
  background: linear-gradient(-45deg, transparent 16px, #ffffff 0),
    linear-gradient(45deg, transparent 16px, #ffffff 0);
  /* background-position: left-bottom; */
  background-repeat: repeat-x;
  background-size: 9.5px 17.5px;
  content: " ";
  display: block;
  position: absolute;
  left: 0px;
  bottom: calc(-25rem / 50);
  width: 100%;
  height: calc(25rem / 50);
  z-index: 100;
}

.statement-wrapper .statement-title {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.statement-wrapper .statement-title > * {
  display: flex;
  align-items: center;
}

.statement-wrapper .statement-title > :nth-of-type(2) {
  padding-top: calc(10rem / 50);
  letter-spacing: 0px;
}

.statement-wrapper hr.dashed-divider {
  border: none;
  height: 1px;
  background: var(--color-gray-aaaaaa-40);
  background: repeating-linear-gradient(
    90deg,
    var(--color-gray-aaaaaa-40),
    var(--color-gray-aaaaaa-40) 10px,
    transparent 10px,
    transparent 15px
  );
}

.statement-wrapper .cancel-button {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.statement-gasapp-install {
  background-color: var(--color-blue-10);
}

.statement-gasapp-install .title {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.statement-gasapp-install .gasapp-install-image {
  width: 100%;
}

.error-image {
  display: flex;
  justify-content: center;
}

.error-image img {
  width: calc(480rem / 50);
  height: calc(480rem / 50);
}

.fixed-button {
  position: fixed;
  width: 100%;
  bottom: 0;
}

.toast-message {
  position: fixed;
  left: 50%;
  transform: translate(-50%, 0);
  width: 100%;
  z-index: 9999;
  opacity: 0.97;
  animation-duration: 2.5s;
  animation-name: toastAnim;
}

.toast-message div {
  margin: 0 1.3rem;
  border-radius: calc(40rem / 50);
  background: rgba(124, 130, 142, 0.96);
  padding: calc(50rem / 50) calc(40rem / 50);
  color: #fff;
  text-align: center;
  font-weight: 400;
  font-size: 0.88rem !important;
  font-family: "nanumsquare" !important;
  letter-spacing: normal;
  line-height: normal;
}

@keyframes toastAnim {
  0% {
    opacity: 0.97;
    bottom: -6rem;
  }

  20% {
    opacity: 0.97;
    bottom: 4rem;
  }

  80% {
    opacity: 0.97;
    bottom: 4rem;
  }

  100% {
    opacity: 0;
    bottom: 4rem;
  }
}

#loadingbar {
  position: fixed;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0);
  z-index: 200;
  cursor: pointer;
}

#loadingbar .center {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 50px;
  color: white;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}

#loader {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 200;
  height: 1.5rem;
  transform: translate(-50%, -50%);
  overflow: hidden;
  width: 12rem;
}

#loader span {
  opacity: 0;
  margin: 0 0.5rem;
  width: 1rem;
  height: 1rem;
  border-radius: 1rem;
  float: left;
}

#loader .l1 {
  animation: load1 3.5s infinite;
  -webkit-animation: load1 3.5s infinite;
}

#loader .l2 {
  animation: load2 3.5s infinite;
  -webkit-animation: load2 3.5s infinite;
}

#loader .l3 {
  animation: load3 3.5s infinite;
  -webkit-animation: load3 3.5s infinite;
}

#loader .l4 {
  animation: load4 3.5s infinite;
  -webkit-animation: load4 3.5s infinite;
}

#loader .l5 {
  animation: load5 3.5s infinite;
  -webkit-animation: load5 3.5s infinite;
}

#loader .l6 {
  animation: load6 3.5s infinite;
  -webkit-animation: load6 3.5s infinite;
}

@keyframes load1 {
  0%,
  80% {
    opacity: 0;
  }

  1%,
  79% {
    opacity: 1;
  }
}

@keyframes load2 {
  0%,
  10%,
  80% {
    opacity: 0;
  }

  11%,
  79% {
    opacity: 1;
  }
}

@keyframes load3 {
  0%,
  20%,
  80% {
    opacity: 0;
  }

  21%,
  79% {
    opacity: 1;
  }
}

@keyframes load4 {
  0%,
  30%,
  80% {
    opacity: 0;
  }

  31%,
  79% {
    opacity: 1;
  }
}

@keyframes load5 {
  0%,
  40%,
  80% {
    opacity: 0;
  }

  41%,
  79% {
    opacity: 1;
  }
}

@keyframes load6 {
  0%,
  50%,
  80% {
    opacity: 0;
  }

  51%,
  79% {
    opacity: 1;
  }
}
